=== modified file 'drizzled/typelib.cc'
--- drizzled/typelib.cc	2011-04-15 14:05:17 +0000
+++ drizzled/typelib.cc	2011-04-15 14:23:21 +0000
@@ -54,10 +54,10 @@
    x			String to find
    lib			TYPELIB (struct of pointer to values + count)
    full_name		bitmap of what to do
-			If & 1 accept only whole names
-			If & 2 don't expand if half field
-			If & 4 allow #number# as type
-			If & 8 use ',' as string terminator
+			If & 1 accept only whole names - e_match_full
+			If & 2 don't expand if half field - e_dont_complete
+			If & 4 allow #number# as type - e_allow_int
+			If & 8 use ',' as string terminator - e_use_comma
 
   NOTES
     If part, uniq field is found and full_name == 0 then x is expanded
@@ -78,6 +78,8 @@
 
 int TYPELIB::find_type(char *x, e_find_options full_name) const
 {
+  assert(~full_name & e_allow_int);
+  assert(~full_name & e_use_comma);
   if (!count)
     return 0;
   int find= 0;
@@ -87,31 +89,31 @@
   {
     const char *i;
     for (i= x;
-    	*i && (!(full_name & 8) || *i != field_separator) &&
+    	*i && (!(full_name & e_use_comma) || *i != field_separator) &&
         my_toupper(&my_charset_utf8_general_ci,*i) ==
     		my_toupper(&my_charset_utf8_general_ci,*j) ; i++, j++) ;
     if (! *j)
     {
       while (*i == ' ')
 	i++;					/* skip_end_space */
-      if (! *i || ((full_name & 8) && *i == field_separator))
+      if (! *i || ((full_name & e_use_comma) && *i == field_separator))
 	return(pos+1);
     }
-    if ((!*i && (!(full_name & 8) || *i != field_separator)) &&
-        (!*j || !(full_name & 1)))
+    if ((!*i && (!(full_name & e_use_comma) || *i != field_separator)) &&
+        (!*j || !(full_name & e_match_full)))
     {
       find++;
       findpos=pos;
     }
   }
-  if (find == 0 && (full_name & 4) && x[0] == '#' && strchr(x, '\0')[-1] == '#' &&
+  if (find == 0 && (full_name & e_allow_int) && x[0] == '#' && strchr(x, '\0')[-1] == '#' &&
       (findpos=atoi(x+1)-1) >= 0 && (uint32_t) findpos < count)
     find=1;
   else if (find == 0 || ! x[0])
   {
     return(0);
   }
-  else if (find != 1 || (full_name & 1))
+  else if (find != 1 || (full_name & e_match_full))
   {
     return(-1);
   }

=== modified file 'plugin/innobase/handler/ha_innodb.cc'
--- plugin/innobase/handler/ha_innodb.cc	2011-04-15 14:05:17 +0000
+++ plugin/innobase/handler/ha_innodb.cc	2011-04-15 14:40:55 +0000
@@ -2171,25 +2171,16 @@
 
   /* Inverted Booleans */
 
-  innobase_use_checksums= (vm.count("disable-checksums")) ? false : true;
-  innobase_use_doublewrite= (vm.count("disable-doublewrite")) ? false : true;
-  srv_adaptive_flushing= (vm.count("disable-adaptive-flushing")) ? false : true;
-  srv_use_sys_malloc= (vm.count("use-internal-malloc")) ? false : true;
-  srv_use_native_aio= (vm.count("disable-native-aio")) ? false : true;
-  support_xa= (vm.count("disable-xa")) ? false : true;
-  btr_search_enabled= (vm.count("disable-adaptive-hash-index")) ? false : true;
-
+  innobase_use_checksums= not vm.count("disable-checksums");
+  innobase_use_doublewrite= not vm.count("disable-doublewrite");
+  srv_adaptive_flushing= not vm.count("disable-adaptive-flushing");
+  srv_use_sys_malloc= not vm.count("use-internal-malloc");
+  srv_use_native_aio= not vm.count("disable-native-aio");
+  support_xa= not vm.count("disable-xa");
+  btr_search_enabled= not vm.count("disable-adaptive-hash-index");
 
   /* Hafta do this here because we need to late-bind the default value */
-  if (vm.count("data-home-dir"))
-  {
-    innobase_data_home_dir= vm["data-home-dir"].as<string>();
-  }
-  else
-  {
-    innobase_data_home_dir= getDataHome().file_string();
-  }
-
+  innobase_data_home_dir= vm.count("data-home-dir") ? vm["data-home-dir"].as<string>() : getDataHome().file_string();
 
   if (vm.count("data-file-path"))
   {

